********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### hypgf ###		  	    
c
      function hypgf(np,lp,x)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)		

      hypgf=1.d0
      if (-np.eq.0) return
      t=dble(np)*x/dble(lp)
      hypgf=hypgf+t
      if (-np.eq.1) return
      do i=2,-np
         t=t*x*dble(np+i-1)/dble(lp+i-1)/dble(i)
         hypgf=hypgf+t
      enddo
      return
      end
